Bug 208250 - Review Request: piklab - Development environment for applications based on PIC and dsPIC microcontrollers
Review Request: piklab - Development environment for applications based on PI...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-27 08:32 EDT by Alain Portal
Modified: 2010-02-08 19:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 13:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
mockbuild log of piklab-0.11.3-2 (323.89 KB, text/plain)
2006-09-28 13:57 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Alain Portal 2006-09-27 08:32:24 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/piklab.spec
SRPM URL: http://linuxelectronique.free.fr/download/fedora/5/SRPMS/piklab-0.11.3-1.src.rpm
Description: Piklab is a graphic development environment for PIC and dsPIC microcontrollers. It interfaces with various toochains for compiling and assembling and it supports several Microchip and direct programmers.
Comment 1 Jochen Schmitt 2006-09-27 14:54:18 EDT
Good:
+ Local build works fine.
+ Local install/uninstall works fine.
+ Program starts without complains.
+ Tar ball in source package matches with upstream.
+ Mock build works fine.

Bad:

- Rpmlint of source package complaints:
pmlint piklab-0.11.3-1.src.rpm
E: piklab summary-too-long Development environment for applications based on PIC
and dsPIC microcontrollers
E: piklab unknown-key GPG#8d4d7450
W: piklab strange-permission piklab-0.11.3.desktop.typo-fr.patch 0600
W: piklab strange-permission piklab-0.11.3.x-desktop-fr.patch 0600
W: piklab strange-permission piklab.spec 0600
W: piklab mixed-use-of-spaces-and-tabs (spaces: line 51, tab: line 3)

- rpmlint complains on binary rpm:
E: piklab summary-too-long Development environment for applications based on PIC
and dsPIC microcontrollers
W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
../doc/common
/tmp/piklab-0.11.3-1.i686.rpm.18087/usr/share/applications/kde/piklab.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"

- Please use http://switch.dl.sourceforge.net/..., so spectool will work 
properly.

- Qt environment variable was not sourced.

- Duplicate BuildRequires: libart_lgpl-devel (by kdelibs-devel), fam-devel (by
kdelibs-devel)

- BuildRequires: gettext is missing (required to build the translations)
 
- Rpmlint complains on installed package:
E: piklab summary-too-long Development environment for applications based on PIC
and dsPIC microcontrollers
W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
../doc/common
//usr/share/applications/kde/piklab.desktop: warning: file contains key
"DocPath", this key is currently reserved for use within KDE, and should in the
future KDE releases be prefixed by "X-"




Comment 2 Alain Portal 2006-09-28 07:46:16 EDT
(In reply to comment #1)
> Bad:
> 
> - Rpmlint of source package complaints:
> pmlint piklab-0.11.3-1.src.rpm
> E: piklab summary-too-long Development environment for applications based on 
PIC
> and dsPIC microcontrollers

I don't have this error with an uptodate rpmlint (0.78-1.fc5)

> E: piklab unknown-key GPG#8d4d7450

This is my key, please import.

> W: piklab strange-permission piklab-0.11.3.desktop.typo-fr.patch 0600
> W: piklab strange-permission piklab-0.11.3.x-desktop-fr.patch 0600
> W: piklab strange-permission piklab.spec 0600

OK.

> W: piklab mixed-use-of-spaces-and-tabs (spaces: line 51, tab: line 3)

It seems to me to not be really important.

> - rpmlint complains on binary rpm:
> E: piklab summary-too-long Development environment for applications based on 
PIC
> and dsPIC microcontrollers

ideem above

> W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
> ../doc/common

I tried to get help about this warning, no real answer
https://www.redhat.com/archives/fedora-extras-list/2006-September/msg00789.html

> /tmp/piklab-0.11.3-1.i686.rpm.18087/usr/share/applications/kde/piklab.desktop:
> warning: file contains key "DocPath", this key is currently reserved for use
> within KDE, and should in the future KDE releases be prefixed by "X-"

This is a KDE application.

> - Please use http://switch.dl.sourceforge.net/..., so spectool will work 
> properly.

prdownloads.sourceforge.net don't do the same?
what spectool?

> - Qt environment variable was not sourced.

Why sourcing Qt environment variables?

> - Duplicate BuildRequires: libart_lgpl-devel (by kdelibs-devel), fam-devel 
(by
> kdelibs-devel)

OK.

> - BuildRequires: gettext is missing (required to build the translations)

There is no translation in this package

> - Rpmlint complains on installed package:
> E: piklab summary-too-long Development environment for applications based on 
PIC
> and dsPIC microcontrollers
> W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
> ../doc/common
> //usr/share/applications/kde/piklab.desktop: warning: file contains key
> "DocPath", this key is currently reserved for use within KDE, and should in 
the
> future KDE releases be prefixed by "X-"

Idem above
Comment 3 Alain Portal 2006-09-28 09:25:36 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/piklab.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/piklab-0.11.3-2.src.rpm

%changelog
* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-2
  - Remove duplicate BR
  - Fix files permissions
  - Improve download URL
  - Don't mis space and tab
Comment 4 Mamoru TASAKA 2006-09-28 13:57:38 EDT
Created attachment 137327 [details]
mockbuild log of piklab-0.11.3-2

Alain, can you rebuild piklab-0.11.3-2 correctly?
I tried under FC6-devel i386 mock, but it failed.

Would you check my build log?
Comment 5 Alain Portal 2006-09-28 14:20:22 EDT
(In reply to comment #4)
> Created an attachment (id=137327) [edit]
> mockbuild log of piklab-0.11.3-2
> 
> Alain, can you rebuild piklab-0.11.3-2 correctly?

I'll do that tomorrow at work, my home computer isn't powerfull

> I tried under FC6-devel i386 mock, but it failed.

Strange, build fine on an uptodate FC5

> Would you check my build log?

Yes, please.
Comment 6 Jochen Schmitt 2006-09-28 14:37:48 EDT
Bad:

- Don't sourced QT environment variables.
  (this should make sure, that the build runs agains the right Qt version)
- Rpmlint complaints on binary rpm:
E: piklab summary-too-long Development environment for applications based on PIC
and dsPIC microcontrollers
W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
../doc/common
/tmp/piklab-0.11.3-2.i686.rpm.5998/usr/share/applications/kde/piklab.desktop:
warning: file contains key "DocPath", this key is currently reserved for use
within KDE, and should in the future KDE releases be prefixed by "X-"


BTW: I use rpmlint-0.78-1
Comment 7 Alain Portal 2006-09-28 15:00:54 EDT
(In reply to comment #6)
> Bad:
> 
> - Don't sourced QT environment variables.
>   (this should make sure, that the build runs agains the right Qt version)

This isn't needed.

> - Rpmlint complaints on binary rpm:
> E: piklab summary-too-long Development environment for applications based on 
PIC
> and dsPIC microcontrollers

I don't have this error!
Mamoru, please, could you confirm?

> W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
> ../doc/common
> /tmp/piklab-0.11.3-2.i686.rpm.5998/usr/share/applications/kde/piklab.desktop:
> warning: file contains key "DocPath", this key is currently reserved for use
> within KDE, and should in the future KDE releases be prefixed by "X-"

Why do you want I make a better package than you?

rpmlint kyum-0.7.5-4.fc6.i386.rpm
W: kyum 
dangling-symlink /usr/share/doc/HTML/en/kyum/common /usr/share/doc/HTML/en/common
W: kyum 
symlink-should-be-relative /usr/share/doc/HTML/en/kyum/common /usr/share/doc/HTML/en/common
E: kyum non-executable-script /usr/share/apps/kyum/kyum_sysinfo.py 0644
E: kyum zero-length /usr/share/doc/kyum-0.7.5/README
/tmp/kyum-0.7.5-4.fc6.i386.rpm.3618/usr/share/applications/kde/fedora-kyum.desktop: 
warning: file contains key "DocPath", this key is currently reserved for use 
within KDE, and should in the future KDE releases be prefixed by "X-"


Comment 8 Mamoru TASAKA 2006-09-28 15:11:36 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > Bad:
> > 
> > - Don't sourced QT environment variables.
> >   (this should make sure, that the build runs agains the right Qt version)
> 
> This isn't needed.
I also think this is not needed because the files under /etc/profile.d
is "source"d even without explicitly sourced. Actually many packages
using Qt don't source Qt environ explicitly, this can be seen under:

http://buildsys.fedoraproject.org/logs/fedora-development-extras/
 
> > - Rpmlint complaints on binary rpm:
> > E: piklab summary-too-long Development environment for applications based on 
> PIC
> > and dsPIC microcontrollers
> 
> I don't have this error!
> Mamoru, please, could you confirm?

I HAVE. "rpmlint -I summary-too-long" says summary must be less than
80 characters (not longer than 79), however, this summary seems to
have just 80 characters......
> 
> > W: piklab dangling-relative-symlink /usr/share/doc/HTML/en/piklab/common
> > ../doc/common

This warning is not a problem because kdelibs is installed together
and it corrects this.

> > /tmp/piklab-0.11.3-2.i686.rpm.5998/usr/share/applications/kde/piklab.desktop:
> > warning: file contains key "DocPath", this key is currently reserved for use
> > within KDE, and should in the future KDE releases be prefixed by "X-"
> 
> Why do you want I make a better package than you?

I think this can be ignored.
Comment 9 Mamoru TASAKA 2006-09-28 15:14:48 EDT
And....

(In reply to comment #5)
> (In reply to comment #4)
> > Created an attachment (id=137327) [edit] [edit]
> > mockbuild log of piklab-0.11.3-2
> > 
> > Alain, can you rebuild piklab-0.11.3-2 correctly?
> 
> I'll do that tomorrow at work, my home computer isn't powerfull
> 
> > I tried under FC6-devel i386 mock, but it failed.
> 
> Strange, build fine on an uptodate FC5

I checked under FC5 i386_smp mockbuild and it surely succeeded,
strange.

Comment 10 Alain Portal 2006-09-28 16:17:33 EDT
In your attachement, I found:
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
checking for readline/readline.h... yes
checking for rl_initialize... configure: WARNING: libreadline not found

Perhaps it is a problem between versions
FC5 : readline-5.0
FC6 : readline-5.1
Comment 11 Alain Portal 2006-09-28 16:31:26 EDT
Under FC5:
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
checking for readline/readline.h... yes
checking for rl_initialize... yes
Comment 12 Alain Portal 2006-09-28 18:39:57 EDT
Upstream report me a possible problem, libncurses seems not be detected
your log:
checking for main in -lcurses... no
checking for main in -lncurses... no
checking readline/readline.h usability... yes

FC5:
hecking for main in -lcurses... yes
checking readline/readline.h usability... yes
checking readline/readline.h presence... yes
Comment 13 Mamoru TASAKA 2006-09-29 00:57:08 EDT
(In reply to comment #12)
> Upstream report me a possible problem, libncurses seems not be detected
> your log:
> checking for main in -lcurses... no
> checking for main in -lncurses... no
> checking readline/readline.h usability... yes
> 
> FC5:
> hecking for main in -lcurses... yes
> checking readline/readline.h usability... yes
> checking readline/readline.h presence... yes
> 

Good catch, thanks. Actually, adding "ncurses-devel" for BR
seems to work for FC6-devel i386 mockbuild.

From changelog of ncurses rpm:

* Sat Jul 08 2006 Miroslav Lichvar <mlichvar@redhat.com> 5.5-20
- update to patch 20060701
- don't strip libraries, chmod +x them
- move .so links to devel package
- add gpm-devel to buildrequires
- spec cleanup

Comment 14 Alain Portal 2006-09-29 03:23:11 EDT
The problem is to know if I have to add this BR or if this BR is missing in a 
package from which pikloop depends.
Comment 15 Alain Portal 2006-09-29 03:25:15 EDT
(In reply to comment #14)
> The problem is to know if I have to add this BR or if this BR is missing in 
a 
> package from which pikloop depends.

piklab of course :-)
Comment 16 Mamoru TASAKA 2006-09-29 04:16:40 EDT
(In reply to comment #15)
> (In reply to comment #14)
> > The problem is to know if I have to add this BR or if this BR is missing in 
> a 
> > package from which pikloop depends.
> 
> piklab of course :-)

Well, configure requests the existence of -lcurses.
in FC5, this is in ncurses, which are installed by minimal buildroot.
However, in FC6, libcurses.so is moved to ncurses-devel.

So you have to add ncurses-devel to BuildRequires and the problem
for rebuilding is resolved.

I have not yet reviewed this fully, however,
* rpmlint complaints about long summary. It says that summary should
  have no longer than 79 characters.
* Please add "ncurses-devel" to BuildRequiers (this should be no problem
  for FC5, too).
* Perhaps /etc/security/consoles.perms.d/ should be
  /etc/security/console.perms.d/ ? (the latter is owned by pam)
Comment 17 Alain Portal 2006-09-29 04:42:13 EDT
(In reply to comment #16)
> (In reply to comment #15)
> > (In reply to comment #14)
> > > The problem is to know if I have to add this BR or if this BR is missing 
in 
> > a 
> > > package from which pikloop depends.
> > 
> > piklab of course :-)
> 
> Well, configure requests the existence of -lcurses.
> in FC5, this is in ncurses, which are installed by minimal buildroot.
> However, in FC6, libcurses.so is moved to ncurses-devel.
> 
> So you have to add ncurses-devel to BuildRequires and the problem
> for rebuilding is resolved.
> 
> I have not yet reviewed this fully, however,
> * rpmlint complaints about long summary. It says that summary should
>   have no longer than 79 characters.

I really don't understand, my rpmlint don't complaints!
I'll fix...

> * Please add "ncurses-devel" to BuildRequiers (this should be no problem
>   for FC5, too).

Before doing this change, I'm waiting one hour or two for an answer to my 
question on Extras list.

> * Perhaps /etc/security/consoles.perms.d/ should be
>   /etc/security/console.perms.d/ ? (the latter is owned by pam)

Oups, you're right, it's a typo.
Comment 18 Alain Portal 2006-09-29 05:03:25 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/piklab.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/piklab-0.11.3-3.src.rpm

%changelog
* Wed Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-3
  - Add doc about how to complete full feature installation
  - Fix typo on security pathname
  - Short summary
  - Add BR ncurses-devel for FC6
Comment 19 Mamoru TASAKA 2006-09-29 06:57:45 EDT
Okay. Full review for piklab.

1. From http://fedoraproject.org/wiki/Packaging/Guidelines

* Use rpmlint
W: piklab dangling-relative-symlink \
   /usr/share/doc/HTML/en/piklab/common ../doc/common
   - Well, this warning itself is no problem, however, the problem
     is that this symlink is broken.
     Perhaps this should point to ../common  .

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
   = Nothing.

3. Other things I have noticed:
   - Well, 

/etc/security/console.perms.d/pickit1.perms
/etc/security/console.perms.d/pickit2.perms

     These two files are same. Acutally spec file says:
%{__install} -pm 644 %{SOURCE3} \
   %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit1.perms
%{__install} -pm 644 %{SOURCE3} \
   %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit2.perms

   I suspect only one of these two are necessary.
   Also, while this is not documented, the files under
   /etc/security/console.perms.d/ seem to have the names like
   <number>-<specific name>.perms (like 50-default.perms).
Comment 20 Alain Portal 2006-09-29 07:20:33 EDT
(In reply to comment #19)
> Okay. Full review for piklab.
> 
> 1. From http://fedoraproject.org/wiki/Packaging/Guidelines
> 
> * Use rpmlint
> W: piklab dangling-relative-symlink \
>    /usr/share/doc/HTML/en/piklab/common ../doc/common
>    - Well, this warning itself is no problem, however, the problem
>      is that this symlink is broken.
>      Perhaps this should point to ../common  .

No. KDE recently changed /usr/share/doc/HTML/$LANG/common 
in /usr/share/doc/HTML/$LANG/docs/common.

See 
https://www.redhat.com/archives/fedora-extras-list/2006-September/msg00794.html 
and some follow up.


> 2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
>    = Nothing.
> 
> 3. Other things I have noticed:
>    - Well, 
> 
> /etc/security/console.perms.d/pickit1.perms
> /etc/security/console.perms.d/pickit2.perms
> 
>      These two files are same. Acutally spec file says:
> %{__install} -pm 644 %{SOURCE3} \
>    %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit1.perms
> %{__install} -pm 644 %{SOURCE3} \
>    %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit2.perms
> 
>    I suspect only one of these two are necessary.

No, this is an error, the second should be %{SOURCE4}

>    Also, while this is not documented, the files under
>    /etc/security/console.perms.d/ seem to have the names like
>    <number>-<specific name>.perms (like 50-default.perms).

I don't know how to choose a number.
This configuration is taken from http://piklab.sourceforge.net/support.php
section "for distributions using udev and PAM.

Comment 21 Mamoru TASAKA 2006-09-29 08:18:32 EDT
(In reply to comment #20)
> (In reply to comment #19)
> >    /usr/share/doc/HTML/en/piklab/common ../doc/common
> >    - Well, this warning itself is no problem, however, the problem
> >      is that this symlink is broken.
> >      Perhaps this should point to ../common  .
> 
> No. KDE recently changed /usr/share/doc/HTML/$LANG/common 
> in /usr/share/doc/HTML/$LANG/docs/common.

Well, then what package owns /usr/share/doc/HTML/en/docs/common
_NOW_ ? I use rawhide, and the newest rawhide kdelibs-3.5.4-6.fc6
owns /usr/share/doc/HTML/en/common, however, my system doesn't have
/usr/share/doc/HTML/en/docs/common directory.

So my opinition is:
* If some package actually owns /usr/share/doc/HTML/en/docs/common,
  this package should require the package (I am now trying to search
  for it by yum, however for some reason I don't know yum is very
  slow for now!!)
* If no package owns the directory _NOW_, 
   /usr/share/doc/HTML/en/piklab/common should point to ../common
  as before till some package gets to own /usr/share/doc/HTML/en/docs/common.
  
> > 3. Other things I have noticed:
> >    - Well, 
> > 
> > /etc/security/console.perms.d/pickit1.perms
> > /etc/security/console.perms.d/pickit2.perms
> > 
> >      These two files are same. Acutally spec file says:
> > %{__install} -pm 644 %{SOURCE3} \
> >    %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit1.perms
> > %{__install} -pm 644 %{SOURCE3} \
> >    %{buildroot}%{_sysconfdir}/security/console.perms.d/pickit2.perms
> > 
> No, this is an error, the second should be %{SOURCE4}

Okay. Just fix as it should be.

> 
> >    Also, while this is not documented, the files under
> >    /etc/security/console.perms.d/ seem to have the names like
> >    <number>-<specific name>.perms (like 50-default.perms).
> 
> I don't know how to choose a number.
> This configuration is taken from http://piklab.sourceforge.net/support.php
> section "for distributions using udev and PAM.

This is not documented and you don't have to add the number if
you don't want to.
Comment 22 Mamoru TASAKA 2006-09-29 09:03:29 EDT
(In reply to comment #21)
> 
> Well, then what package owns /usr/share/doc/HTML/en/docs/common
> _NOW_ ? 

I finished searching for this by yum. The result is, no package
owns this (in rawhide).
Comment 23 Alain Portal 2006-09-29 09:04:56 EDT
(In reply to comment #21)

> > No. KDE recently changed /usr/share/doc/HTML/$LANG/common 
> > in /usr/share/doc/HTML/$LANG/docs/common.
> 
> Well, then what package owns /usr/share/doc/HTML/en/docs/common
> _NOW_ ? I use rawhide, and the newest rawhide kdelibs-3.5.4-6.fc6
> owns /usr/share/doc/HTML/en/common, however, my system doesn't have
> /usr/share/doc/HTML/en/docs/common directory.

The /usr/share/doc/HTML/$LANG/docs/common is owned by kde-i18n-$LANG.
You right, as english is the default language /usr/share/doc/HTML/en/common is 
owned by kdelibs. But I thought that /usr/share/doc/HTML/en/docs/common was 
owned by kde-i18n-English, but this package don't exist ;-)
This is the exception.
So, for all languages but english, common is in $LANG/docs/, for english, it 
is in $LANG/

> So my opinition is:
> * If some package actually owns /usr/share/doc/HTML/en/docs/common,
>   this package should require the package (I am now trying to search
>   for it by yum, however for some reason I don't know yum is very
>   slow for now!!)
> * If no package owns the directory _NOW_, 
>    /usr/share/doc/HTML/en/piklab/common should point to ../common
>   as before till some package gets to 
own /usr/share/doc/HTML/en/docs/common.
>   
> > >    Also, while this is not documented, the files under
> > >    /etc/security/console.perms.d/ seem to have the names like
> > >    <number>-<specific name>.perms (like 50-default.perms).
> > 
> > I don't know how to choose a number.
> > This configuration is taken from http://piklab.sourceforge.net/support.php
> > section "for distributions using udev and PAM.
> 
> This is not documented and you don't have to add the number if
> you don't want to.

As I don't know choosing a number, I'll don't add. I'll see later when I'll 
get more informations.
Comment 24 Alain Portal 2006-09-29 10:16:33 EDT
Spec URL: http://linuxelectronique.free.fr/download/fedora/5/SPECS/piklab.spec
SRPM URL: 
http://linuxelectronique.free.fr/download/fedora/5/SRPMS/piklab-0.11.3-4.src.rpm

%changelog
* Wed Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-4
  - Fix typo for installing pickit2.perms
  - Add Application category in desktop file
  - Fix symlink: english is the only language where common directory is in
  LANG directory while for other, common is in LANG/docs directory
Comment 25 Mamoru TASAKA 2006-09-29 12:20:56 EDT
Well, /etc/security/console.perms.d/pickit2.perms says:
-------------------------------------------------------------
<pickit2>=/dev/pickit2*
<console> 0600 <pickit2> 0600 roo
-------------------------------------------------------------
Perhaps the last word must be "root". Just fix it.


------------------------------------------------------------------
  This package (piklab) is APPROVED by me.
Comment 26 Alain Portal 2006-09-29 12:28:23 EDT
OK, really thanks for the review!

%changelog
* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.11.3-5
  - Fix typo in pickit2.perms
Comment 27 Mamoru TASAKA 2007-04-10 12:14:09 EDT
Chitlesh, if you want to take over the maintainship
and when Alain agrees, take a procedure according to

http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 28 Chitlesh GOORAH 2007-04-10 17:40:52 EDT
Alain, could I take over ?
Comment 29 Alain Portal 2007-04-11 08:14:31 EDT
What have I to do?
I can't access to the link 
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
I get a 502 error
Comment 30 Mamoru TASAKA 2007-04-11 08:34:23 EDT
I can see the URL correctly. Still can't you access, Alain?
If still you cannot, please answer the following questions.

* Would you want to be a co-maintainer?
* Would you want to be in a CC-list?
* Or would you want to make your name completely removed from
  piklab owner list?
Comment 31 Alain Portal 2007-04-11 08:45:05 EDT
(In reply to comment #30)
> I can see the URL correctly. Still can't you access, Alain?

Still have problem for all the site.

> If still you cannot, please answer the following questions.
> 
> * Would you want to be a co-maintainer?
> * Would you want to be in a CC-list?
> * Or would you want to make your name completely removed from
>   piklab owner list?

After a discussion with Chitlesh, he become co-.
maintainer
Comment 32 Chitlesh GOORAH 2007-04-11 09:05:40 EDT
Package Change Request
======================
Package Name: piklab
Updated Fedora Owners: cgoorah@yahoo.com.au, alain.portal@free.fr
Comment 33 Alain Portal 2007-04-18 13:58:55 EDT
Chitlesh,
I added a patch for fr.po, commited the files, tag the branch, but I can't 
build from home. Please, could you do?
Comment 34 Chitlesh GOORAH 2007-04-19 04:37:54 EDT
Done.
Comment 35 Alain Portal 2007-07-20 14:42:03 EDT
Package Change Request
======================
Package Name: piklab
Updated Fedora Owners: alain.portal@free.fr

Please, add my home email in comps because I'm on vacation for 6 weeks.
Comment 36 Alain Portal 2010-02-08 14:21:50 EST
Package Change Request
======================
Package Name: piklab
New Branches: EL-5
Owners: dionysos
Comment 37 Kevin Fenzi 2010-02-08 19:32:44 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.